- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_flow_container.h File Reference

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_array_list.h>`
`#include <axis2_flow.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_flow_container | axis2_flow_container_t
## Functions
AXIS2_EXTERN void | axis2_flow_container_free (axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_in_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_in_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *in_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_out_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_out_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *out_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_fault_in_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_fault_in_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *falut_in_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_fault_out_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_fault_out_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *fault_out_flow)
AXIS2_EXTERN axis2_flow_container_t * | axis2_flow_container_create (const axutil_env_t *env)

## Detailed Description